Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 530258 (python-3.4-stable) - [TRACKER] Python 3.4 stable requests
Summary: [TRACKER] Python 3.4 stable requests
Status: RESOLVED FIXED
Alias: python-3.4-stable
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Keywording and Stabilization (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: Tracker
Depends on: python-3.4 509522 509710 512856 517812 519894 523322 524416 524466 525508 526042 528330 529448 529474 529542 529544 529654 529964 530050 530224 530260 530262 530264 530268 530272 530290 530292 530294 530296 530302 530306 530324 530328 530384 530390 530406 530412 530422 530426 530428 530436 530470 530472 530474 530476 530486 530526 530528 530532 530534 530536 530538 530540 530542 530544 530546 530548 530550 530554 530556 530558 530562 530564 530570 530572 530574 530576 530580 530582 530586 530592 530594 530600 530612 530614 530616 530618 530620 530622 530624 530626 530652 530674 530678 530708 530716 530720 530722 530758 530760 530908 530964 530986 530994 530998 531008 531088 531090 531124 531126 531396 531502 531538 531798 540132 545870 550808
Blocks: 525510
  Show dependency tree
 
Reported: 2014-11-24 02:38 UTC by Mike Gilbert
Modified: 2017-08-27 05:14 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Gilbert gentoo-dev 2014-11-24 02:38:29 UTC
Use this bug to track stable requests for packages where python3_4 has been added to PYTHON_COMPAT.
Comment 1 Jeroen Roovers gentoo-dev 2014-11-26 08:03:08 UTC
@idella4: Could you please properly assign bugs and leave CC'ing arch teams to the respective maintainers of those packages?
Comment 2 Dirkjan Ochtman gentoo-dev 2015-07-19 12:10:06 UTC
Real work remaining:

Bug 530294 - dev-python/pyopenssl-0.14 and co. stable request
Remaining arches: sparc

Bug 530470 - dev-python/gmpy-2.0.4 stable request
Remaining arches: amd64

Bug 530570 - =dev-python/pypax-0.9.0 =sys-apps/elfix-0.9.0-r1: stable request
Remaining arches: sparc

Bug 530572 - dev-python/pyquery-1.2.9 stable request
Remaining arches: sparc

Bug 530586 - dev-python/python-sqlparse-0.1.13 stable request
Remaining arches: ia64, sparc

Bug 530600 - dev-python/sqlalchemy-{0.7.10,0.9.8} dev-python/sqlalchemy-migrate-{0.7.2-r1,0.9.2} stable request (see comment #6 for full list)
Remaining arches: ia64, sparc

Bug 525934 - dev-python/sqlalchemy-migrate-0.9.2 keyword request
Remaining arches: ia64, sparc

Bug 525562 - =dev-python/python-sqlparse-0.1.13 =dev-python/pytest-cov-1.6 =dev-python/cov-core-1.7 keyword request
Remaining arches: ia64, sparc

Bug 530674 - net-im/pidgin-2.10.11 stable request
Remaining arches: alpha, ia64, sparc

Bug 530998 - net-irc/irssi-otr-1.0.0 stable request
Remaining arches: amd64

Bug 545870 - dev-util/cmake-3.2.2 stable request
Remaining arches: arm64, arm, ia64, ppc, sparc

Bug 550808 - dev-python/pyftpdlib-1.4.0 stable request
Remaining arches: amd64, arm, hppa, ia64, ppc64, ppc, sparc, x86

In other words, amd64 has 3 more bugs, x86 has one more bug, and other more-maintained arches are in the same range. Perhaps we should actually open up the stabilization at this point? Let's not wait for the slowest arch...
Comment 3 Pacho Ramos gentoo-dev 2015-07-19 12:13:09 UTC
(In reply to Dirkjan Ochtman from comment #2)
[...]
> In other words, amd64 has 3 more bugs, x86 has one more bug, and other
> more-maintained arches are in the same range. Perhaps we should actually
> open up the stabilization at this point? Let's not wait for the slowest
> arch...

python-3.4 was stabilized long time ago... the pending task is to change profiles default to use 3.4 instead of 3.3
Comment 4 Dirkjan Ochtman gentoo-dev 2015-07-19 12:15:46 UTC
Ah, sorry. So is it true that that task is waiting for dependencies in this bug?
Comment 5 Pacho Ramos gentoo-dev 2015-07-19 12:27:59 UTC
Yes... well, months ago situation was much worse and there were tons of packages that weren't supporting python 3.4 in stable tree